Can not start Vue UI after updating Node and dev-dependencies

After updating Node to the latest version I have trouble to start vue ui. First it was some dev-dependencies. After setting the latest versions for these dependencies now I get andreas@andreas-X230:/opt/lampp/htdocs/homepage/apps/projectA$ vue ui 🚀 Starting GUI… node:events:491 throw er; // Unhandled ‘error’ event ^ Error: ENOENT: no such file or directory, scandir ‘/opt/lampp/htdocs/homepage/apps/projectB/node_modules/@vue/cli-service/locales’ […] Can… Read More Can not start Vue UI after updating Node and dev-dependencies

Vue 3 (CLI): Cannot read properties of undefined (reading 'get')

When switching to Vue 3 CLI and consequently refactoring the code, this.$http.get(‘/api/todo/’) no longer works. Instead of being returned a list of todos from the database, I receive a Cannot read properties of undefined error in the console: app.js:209 Uncaught TypeError: Cannot read properties of undefined (reading ‘get’) at Proxy.getTodos (Todos.vue?4897:38:1) at Proxy.mounted (Todos.vue?4897:28:1) at… Read More Vue 3 (CLI): Cannot read properties of undefined (reading 'get')

Vue – The Cli gives an error on installing

I just installed Ubuntu and tried to install the vue cli but got this error here’s the error npm WARN deprecated subscriptions-transport-ws@0.11.0: The `subscriptions-transport-ws` package is no longer maintained. We recommend you use `graphql-ws` instead. For help migrating Apollo software to `graphql-ws`, see https://www.apollographql.com/docs/apollo-server/data/subscriptions/#switching-from-subscriptions-transport-ws For general help using `graphql-ws`, see https://github.com/enisdenjo/graphql-ws/blob/master/README.md npm WARN deprecated source-map-resolve@0.5.3:… Read More Vue – The Cli gives an error on installing